Subject: bug#19438: closed (Re: bug#19438: 24.4; system-name bad cache)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 29 Dec 2014 20:48:02 +0000

Your bug report

#19438: 24.4; system-name bad cache

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19438: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19438
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19438: 24.4; system-name bad cache
From: Paul Eggert <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked], Leo Liu <[email-masked]>
Date: Mon, 29 Dec 2014 12:47:16 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Monnier wrote:
> Maybe we could make the system-name function return the same as
> `hostname` (and do it dynamically).

OK, thanks, I revised the patch to do that, and made the var obsolete, and 
installed something along those lines into the master.  (It was 3 patches not 
one because I installed the wrong version first, sorry.)  Marking this as done.

Subject: 24.4; system-name bad cache
From: Leo Liu <[email-masked]>
To: [email-masked]
Date: Thu, 25 Dec 2014 18:21:31 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I just moved from one network to another and find that my long running
Emacs no longer has the right value for (system-name).

I am seeing this: (system-name) => Leos-MacBook.local

but a freshly-started emacs gives me: 014136144036.static.ctinets.com

It turns out system name is not computed dynamically. Could someone fix
this problem? Thanks.

Leo